/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */ 

#pragma once
#include "../../libs.h"
#include "../../display/camera.h"
#include "../../display/shader.h"
#include "../../display/font.h"
#include "../../display/primitive.h"
#include "../../display/renderlist.h"

typedef struct {
  camera_t camera;
  renderlist_t list;

  shader_t shader;
  texture_t texture;
  
  primitive_t cube;
} sandboxscene_t;